> For the complete documentation index, see [llms.txt](https://docs.titanbuilder.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.titanbuilder.xyz/api/eth_sendendofblockbundle.md).

# eth\_sendEndOfBlockBundle

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "eth_sendEndOfBlockBundle",
  "params": [
    {
      txs,                   // Array[String], A list of signed transactions to execute in an atomic bundle, list can be empty for bundle cancellations
      blockNumber,           // (Optional) String, a hex-encoded block number for which this bundle is valid. Default, current block number
      revertingTxHashes,     // (Optional) Array[String], A list of tx hashes that are allowed to revert or be discarded     
      targetPools,           // Array[String], A list of pool addresses that this bundle is targeting
      replacementUuid,       // (Optional) String, any arbitrary string that can be used to replace or cancel this bundle
      replacementSeqNumber,  // (Optional) Number, monotonically increasing sequence for bundles sharing the same replacementUuid. Later bundles must have a higher sequence or they are dropped. If 0 or omitted, ordering falls back to builder receive time.
    }
  ]
}
```

After building a block, any end-of-block bundle that contains a target pool that has been modified will be simulated at the end-of-block state. Successfully simulated bundles are then added to the block.\
\
Note: end-of-block bundles are handled with the same atomicity and revert guarantees as normal bundles.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.titanbuilder.xyz/api/eth_sendendofblockbundle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
